summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jorge Barros de Abreu <ficmatin10@gmail.com>2013-01-13 19:22:33 (GMT)
committer dsomero <xgizzmo@slackbuilds.org>2013-01-20 14:03:04 (GMT)
commit79a9b6ba53684f2ce0bc375c3475a9d104bcf665 (patch)
treecb3ba2f02429ddaa5b7b3ea3d0692863d4da4c1d
parent05baa858d9fcd2f7801f9b08c8c58cfe73f4a824 (diff)
downloadslackbuilds-79a9b6ba53684f2ce0bc375c3475a9d104bcf665.tar.gz
slackbuilds-79a9b6ba53684f2ce0bc375c3475a9d104bcf665.tar.xz
academic/geomview: Added (3D geometrical package).
(lots of changes --ponce) Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--academic/geomview/README9
-rw-r--r--academic/geomview/geomview.SlackBuild100
-rw-r--r--academic/geomview/geomview.info10
-rw-r--r--academic/geomview/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/academic/geomview/README b/academic/geomview/README
new file mode 100644
index 0000000..07f1a99
--- /dev/null
+++ b/academic/geomview/README
@@ -0,0 +1,9 @@
+Geomview is an interactive 3D viewing program for Unix.
+
+Geomview lets you view and manipulate three-dimensional objects: you
+use the mouse to rotate, translate, zoom in and out, and so on.
+Geomview can be used as a standalone viewer for static objects (it
+supports a variety of file formats) or as a display engine for other
+programs which produce dynamically changing geometry.
+
+This slackBuild uses the configure option --with-opengl.
diff --git a/academic/geomview/geomview.SlackBuild b/academic/geomview/geomview.SlackBuild
new file mode 100644
index 0000000..ca3d5e7
--- /dev/null
+++ b/academic/geomview/geomview.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for geomview
+
+# Written by (Jorge Barros de Abreu)
+# (http://sites.google.com/site/ficmatinf)
+
+PRGNAM=geomview
+VERSION=${VERSION:-1.9.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#
+#geomview compilation
+#
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux \
+ --disable-static \
+ --with-opengl=/usr/X11R6
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+( cd $PKG/usr/info
+ gzip -c -9 $PRGNAM > $PRGNAM.info.gz
+ gzip -c -9 $PRGNAM-1 > $PRGNAM.info-1.gz
+ gzip -c -9 $PRGNAM-2 > $PRGNAM.info-2.gz
+ rm -fr dir figs $PRGNAM-* $PRGNAM )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc/figs doc/*.txt doc/*.c doc/*.tcl doc/README* doc/*.gvplot doc/oogltour* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+rm -f $PKG/usr/doc/$PRGNAM-$VERSION/*.pdf # We already have the html ones
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/geomview/geomview.info b/academic/geomview/geomview.info
new file mode 100644
index 0000000..9254668
--- /dev/null
+++ b/academic/geomview/geomview.info
@@ -0,0 +1,10 @@
+PRGNAM="geomview"
+VERSION="1.9.4"
+HOMEPAGE="http://www.geomview.org"
+DOWNLOAD="http://downloads.sourceforge.net/geomview/geomview-1.9.4.tar.gz"
+MD5SUM="29c7e6d678af7b9968980f92954419bb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jorge Barros de Abreu"
+EMAIL="ficmatin10@gmail.com"
diff --git a/academic/geomview/slack-desc b/academic/geomview/slack-desc
new file mode 100644
index 0000000..dc63d41
--- /dev/null
+++ b/academic/geomview/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+geomview: Geomview (3D geometrical package)
+geomview:
+geomview: Geomview is an interactive 3D viewing program for Unix.
+geomview: Geomview lets you view and manipulate three-dimensional objects: you
+geomview: use the mouse to rotate, translate, zoom in and out, and so on.
+geomview: Geomview can be used as a standalone viewer for static objects (it
+geomview: supports a variety of file formats) or as a display engine for other
+geomview: programs which produce dynamically changing geometry.
+geomview:
+geomview: homepage: http://www.geomview.org
+geomview: